Index: lib/matplotlib/legend.py
===================================================================
--- lib/matplotlib/legend.py	(révision 3714)
+++ lib/matplotlib/legend.py	(copie de travail)
@@ -222,14 +222,18 @@
         self._set_artist_props(self.legendPatch)
         self._drawFrame = True
 
+    def contains(self, mouseevent):
+        if callable(self._contains): return self._contains(self,mouseevent)
+
+        return self.legendPatch.contains(mouseevent)
+
     def _set_artist_props(self, a):
         a.set_figure(self.figure)
         a.set_transform(self.get_transform())
 
     def _approx_text_height(self):
         return self.fontsize/72.0*self.figure.dpi.get()/self.parent.bbox.height()
-
-
+        
     def draw(self, renderer):
         if not self.get_visible(): return
         renderer.open_group('legend')
@@ -404,6 +408,9 @@
         'return a list of text.Text instance in the legend'
         return silent_list('Text', self.texts)
 
+    def get_children(self):
+        return [self.get_frame()] + self.get_lines() + self.get_patches() + self.get_texts()
+    
     def _get_texts(self, labels, left, upper):
 
         # height in axes coords
